#!/bin/bash

# Get today's date for our backup filename
backupDate=$(date +'%F')

# Enter backup directory
cd /backup || exit
echo "Moving to backup directory..."

# Clear old log files
rm -rf *.log
echo "Log files cleared..." | tee -a $backupDate-rob-homedir-backup.log

# Display todays date
echo "Backup Log - Rob's Home Directory" | tee -a $backupDate-rob-homedir-backup.log
echo $backupDate | tee -a $backupDate-rob-homedir-backup.log

# Create tar of docker directory
echo "Creating a tar archive of your docker parent folder..." | tee -a $backupDate-rob-homedir-backup.log

echo "EXCLUDING ./Downloads/ & ./VirtualBoxVMs/" | tee -a $backupDate-rob-homedir-backup.log

tar -czvf --exclude='./Downloads' --exclude='./VirtualBoxVMs' $backupDate-rob-homedir-backup.tar.gz /home/rob


#echo "Uploading backup file to BackBlaze..." | & tee -a $backupDate-rob-homedir-backup.log
#rclone copy $backupDate-rob-homedir-backup.tar.gz b2:workhorse-laptop --progress >> $backupDate-rob-homedir-backup.log 2>&1

# remove the tar file from the main home folder after it's copied
#echo "Removing local backup cache..." | tee -a rob-homedir-backup-$backupDate.log
#rm -rf $backupDate-rob-homedir-backup.tar.gz >> rob-homedir-backup-$backupDate.log 2>&1

# Run System Update 
echo "Running System Update..." | tee -a rob-homedir-backup-$backupDate.log
apt update && apt upgrade -y && apt autoremove -y | tee -a rob-homedir-backup-$backupDate.log

# Email log to an email address
# sendmail -s "Home Directory Backup Completed" rgmcewan@outlook.com < docker-$backupDate.log

# Email log to an email address using postfix
echo "Robs Home Directory backup | Complete" | tee -a rob-homedir-backup-$backupDate.log
#/usr/sbin/sendmail -t -v rgmcewan@outlook.com < echo rob-homedir-backup-$backupDate.log