#!/bin/bash

# Get today's date for our backup filename
backupDate=$(date +'%F')

# Enter backup directory
cd /backup || exit
echo "Moving to backup directory..."

# Clear old log files
rm -rf *.log
echo "Log files cleared..." | tee -a trmm-b2-backup-$backupDate.log

# Display todays date
echo "Backup Log - TRMM - BackBlaze" | tee -a trmm-b2-backup-$backupDate.log
echo $backupDate | tee -a trmm-b2-backup-$backupDate.log

# Create tar of backup directory
echo "Creating a tar archive of your backup parent folder..." | tee -a trmm-b2-backup-$backupDate.log

echo "EXCLUDING ./Downloads/ & ./VirtualBoxVMs/" | tee -a trmm-b2-backup-$backupDate.log

tar -czvf trmm-b2-backup-$backupDate.tar.gz /rmmbackup/daily


echo "Uploading backup file to BackBlaze..." | & tee -a trmm-b2-backup-$backupDate.log
rclone copy trmm-b2-backup-$backupDate.tar.gz b2:rgm-tacticalrmm --progress >> trmm-b2-backup-$backupDate.log 2>&1

#remove the tar file from the main home folder after it's copied
echo "Removing local backup cache..." | tee -a trmm-b2-backup-$backupDate.log
rm -rf trmm-b2-backup-$backupDate.tar.gz >> trmm-b2-backup-$backupDate.log 2>&1

# Run System Update 
echo "Running System Update..." | tee -a trmm-b2-backup-$backupDate.log
apt update && apt upgrade -y && apt autoremove -y | tee -a trmm-b2-backup-$backupDate.log

# Email log to an email address
sendmail -s "Home Directory Backup Completed" notifications@biztechsynergy.com.au < trmm-b2-backup-$backupDate.log

# Email log to an email address using postfix
echo "Robs Home Directory backup | Complete" | tee -a trmm-b2-backup-$backupDate.log
#/usr/sbin/sendmail -t -v rgmcewan@outlook.com < echo trmm-b2-backup-$backupDate.log