#!/bin/bash

# Get today's date for our backup filename
backupDate=$(date +'%F')

# Enter backup directory
cd /backup || exit
echo "Moving to backup directory..."

# Clear old log files
rm -rf *.log
echo "Log files cleared..." | tee -a rob-homedir-$backupDate.log

# Display todays date
echo "Backup Log - Rob's Home Directory" | tee -a rob-homedir-$backupDate.log
echo $backupDate | tee -a rob-homedir-$backupDate.log

# Create tar of docker directory
echo "Creating a tar archive of your docker parent folder..." | tee -a rob-homedir-$backupDate.log
tar -czvf $backupDate-rob-homedir-backup.tar.gz /home/rob


echo "Uploading backup file to BackBlaze..." | tee -a rob-homedir-$backupDate.log
rclone copy $backupDate-rob-homedir-backup.tar.gz backblaze:workhorse-laptop --progress >> rob-homedir-$backupDate.log 2>&1

# remove the tar file from the main home folder after it's copied
echo "Removing local backup cache..." | tee -a rob-homedir-backup-$backupDate.log
rm -rf $backupDate-rob-homedir-backup.tar.gz >> rob-homedir-backup-$backupDate.log 2>&1

# Run System Update
echo "Running System Update..." | tee -a rob-homedir-backup-$backupDate.log
apt update && apt upgrade -y && apt autoremove -y | tee -a rob-homedir-backup-$backupDate.log

# Email log to an email address
# sendmail -s "Docker Backup Completed" rgmcewan@outlook.com < docker-$backupDate.log

# Email log to an email address using postfix
#echo "Docker backup | Complete" | tee -a docker-$backupDate.log
#/usr/sbin/sendmail -t -v rgmcewan@outlook.com < docker-$backupDate.log
